﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IServices
{
    /// <summary>
    /// 活动记录服务
    /// </summary>
    public interface IActivityRecordServices
    {
        /// <summary>
        /// 通过活动id查找活动记录，使用自己建立ORM的方式
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        List<Model.All> SelectWhereId(int id);
        /// <summary>
        /// 通过活动id查找活动记录，使用Entity Framework 4的方式
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        List<MsSqlModel.All> SelectWhereIdEntity4(int id);
        /// <summary>
        /// 使用Entity Framework 4插入单个对象
        /// </summary>
        /// <param name="data"></param>
        /// <returns></returns>
        int Insert(MsSqlModel.ActivityRecord data);
        /// <summary>
        /// 使用Entity Framework 批量插入对象
        /// </summary>
        /// <param name="data"></param>
        /// <returns></returns>
        int Insert(List<MsSqlModel.ActivityRecord> data);
    }
}
