﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MsSqlFactory
{
    /// <summary>
    /// MsSql数据库的工厂服务
    /// </summary>
    public class ServicesFactory : IFactory.IServicesFactory
    {
        /// <summary>
        /// 获得成员服务
        /// </summary>
        /// <returns></returns>
        public IServices.IMemberServices GetMemberServices()
        {
            return new MsSqlServices.MemberServices();
        }

        /// <summary>
        /// 获得活动服务
        /// </summary>
        /// <returns></returns>
        public IServices.IActivityServices GetActivityServices()
        {
            return new MsSqlServices.ActivityServices();
        }

        /// <summary>
        /// 获得活动记录服务
        /// </summary>
        /// <returns></returns>
        public IServices.IActivityRecordServices GetActivityRecordServices()
        {
            return new MsSqlServices.ActivityRecordServices();
        }
    }
}
